Page MenuHomePhabricator

API: https://www.wikidata.org/w/api.php?action=help&modules=wbsetlabel lists "lexeme, form, sense" as able to have labels set
Closed, ResolvedPublic

Description

The docs suggest using lexeme, form, sense, none of which have labels.

https://www.wikidata.org/w/api.php?action=help&modules=wbsetlabel

These should not be listed.

The same is probably the case for many other API modules, such as set description etc.

Event Timeline

Addshore created this task.Aug 31 2018, 8:06 AM
Addshore updated the task description. (Show Details)
Lydia_Pintscher triaged this task as Low priority.Sep 2 2018, 3:13 PM
Lydia_Pintscher renamed this task from https://www.wikidata.org/w/api.php?action=help&modules=wbsetlabel lists "lexeme, form, sense" as able to have labels set to API: https://www.wikidata.org/w/api.php?action=help&modules=wbsetlabel lists "lexeme, form, sense" as able to have labels set.Sep 2 2018, 4:12 PM

This sounds like pretty similar logic will be needed with what we are doing in T204709

Addshore moved this task from incoming to ready to go on the Wikidata board.Sep 20 2018, 7:47 AM

Change 474748 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] Stop showing entity types have dont have terms wbsetlabel docs

https://gerrit.wikimedia.org/r/474748

Restricted Application added a project: User-Addshore. Β· View Herald TranscriptNov 19 2018, 5:41 PM

Change 474748 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Don't show termless entities in wbsetlabel/description/aliases

https://gerrit.wikimedia.org/r/474748

Addshore moved this task from ready to go to in progress on the Wikidata board.Nov 21 2018, 8:18 AM